Package org.apache.sling.event.impl.jobs.config

# Class ConfigurationConstants

java.lang.Object
org.apache.sling.event.impl.jobs.config.ConfigurationConstants

public abstract class ConfigurationConstants extends Object
Constants for the queue configuration.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_MAX_PARALLEL`
`static final String`
`DEFAULT_PRIORITY`
`static final int`
`DEFAULT_RETRIES`
`static final long`
`DEFAULT_RETRY_DELAY`
`static final int`
`NUMBER_OF_PROCESSORS`
`static final String`
`PROP_KEEP_JOBS`
`static final String`
`PROP_MAX_PARALLEL`
`static final String`
`PROP_NAME`
`static final String`
`PROP_PREFER_RUN_ON_CREATION_INSTANCE`
`static final String`
`PROP_PRIORITY`
`static final String`
`PROP_RETRIES`
`static final String`
`PROP_RETRY_DELAY`
`static final String`
`PROP_THREAD_POOL_SIZE`
`static final String`
`PROP_TOPICS`
`static final String`
`PROP_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NUMBER_OF_PROCESSORS

public static final int NUMBER_OF_PROCESSORS

### DEFAULT_PRIORITY

public static final String DEFAULT_PRIORITY

See Also:
  - Constant Field Values

### DEFAULT_RETRIES

public static final int DEFAULT_RETRIES

See Also:
  - Constant Field Values

### DEFAULT_RETRY_DELAY

public static final long DEFAULT_RETRY_DELAY

See Also:
  - Constant Field Values

### DEFAULT_MAX_PARALLEL

public static final int DEFAULT_MAX_PARALLEL

See Also:
  - Constant Field Values

### PROP_NAME

public static final String PROP_NAME

See Also:
  - Constant Field Values

### PROP_TYPE

public static final String PROP_TYPE

See Also:
  - Constant Field Values

### PROP_TOPICS

public static final String PROP_TOPICS

See Also:
  - Constant Field Values

### PROP_MAX_PARALLEL

public static final String PROP_MAX_PARALLEL

See Also:
  - Constant Field Values

### PROP_RETRIES

public static final String PROP_RETRIES

See Also:
  - Constant Field Values

### PROP_RETRY_DELAY

public static final String PROP_RETRY_DELAY

See Also:
  - Constant Field Values

### PROP_PRIORITY

public static final String PROP_PRIORITY

See Also:
  - Constant Field Values

### PROP_KEEP_JOBS

public static final String PROP_KEEP_JOBS

See Also:
  - Constant Field Values

### PROP_THREAD_POOL_SIZE

public static final String PROP_THREAD_POOL_SIZE

See Also:
  - Constant Field Values

### PROP_PREFER_RUN_ON_CREATION_INSTANCE

public static final String PROP_PREFER_RUN_ON_CREATION_INSTANCE

See Also:
  - Constant Field Values

## Constructor Details

### ConfigurationConstants

public ConfigurationConstants()